﻿@model LifeAnnuityContract
@{
    List<SelectListItem> ClientType = ViewBag.ClientType;
}
<div class="modal-dialog modal-lg" role="document">
    <div class="modal-content">
        <div class="modal-header">
            <h5 class="modal-title">@(Model?.Id > 0 ? "Edit" : "Add") Life & Annuity Contract</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <i aria-hidden="true" class="ki ki-close"></i>
            </button>
        </div>
        <form asp-action="savelifeannuitycontract" class="form fv-plugins-bootstrap fv-plugins-framework" id="BusinessInterestInfo_form" method="post" data-ajax="true" data-ajax-begin="onFormBegin" data-ajax-complete="onFormCompleteLifeAnnuityContract">
            <div class="modal-body">
                <input asp-for="Guid" />
                <div class="row">
                    <div class="col-xl-4">
                        <div class="form-group @(Model?.Guid!=null?"disabled-div":null)">
                            <label asp-for="ContractType"></label>
                            <select class="form-control form-control-lg @(Model?.Guid!=null?"disabled":null)" asp-for="ContractType" asp-items="Html.GetEnumSelectList<ContractTypeEnum>()">
                            </select>
                            <span asp-validation-for="ContractType" class="text-danger"></span>
                        </div>
                    </div>
                    <div class="col-xl-8">
                        <div class="form-group">
                            <label asp-for="AccountName"></label>
                            <input asp-for="AccountName" class="form-control form-control-lg capitalize" maxlength="30">
                            <span asp-validation-for="AccountName" class="text-danger"></span>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label asp-for="LifeAnnuityContractType"></label>
                            <select class="form-control form-control-lg" asp-for="LifeAnnuityContractType" asp-items="ViewBag.ContractType">
                            </select>
                            <span asp-validation-for="LifeAnnuityContractType" class="text-danger"></span>
                        </div>
                    </div>
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label asp-for="Owner"></label>
                            <select class="form-control form-control-lg" asp-for="Owner">
                                @foreach (var item in ClientType)
                                {
                                    <option value="@item.Value" data-subtext="@item.Group?.Name" selected="@item.Selected">@item.Text</option>
                                }
                            </select>
                            <span asp-validation-for="Owner" class="text-danger"></span>
                        </div>
                    </div>
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label asp-for="IssueDate"></label>
                            <div class="input-group date datepicker-control">
                                <input type="text" asp-for="IssueDate" asp-format="{0:MM'/'dd'/'yyyy}" class="form-control form-control-lg datemask">
                                <div class="input-group-append">
                                    <span class="input-group-text">
                                        <i class="far fa-calendar-alt"></i>
                                    </span>
                                </div>
                            </div>
                            <span asp-validation-for="IssueDate" class="text-danger"></span>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label asp-for="Insured"></label>
                            <input asp-for="Insured" class="form-control form-control-lg">
                            <span asp-validation-for="Insured" class="text-danger"></span>
                        </div>
                    </div>
                    <div class="col-xl-4">
                        <div class="form-group duration-div">
                            <label asp-for="TaxClassification"></label>
                            <select class="form-control form-control-lg" asp-for="TaxClassification" asp-items="Html.GetEnumSelectList<TaxClassificationEnum>()">
                            </select>
                            <span asp-validation-for="TaxClassification" class="text-danger"></span>
                        </div>
                    </div>
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label asp-for="Nickname"></label>
                            <input asp-for="Nickname" class="form-control form-control-lg" type="text">
                            <span asp-validation-for="Nickname" class="text-danger"></span>
                        </div>
                    </div>
                </div>
                <div class="row contractface-div">
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label asp-for="AnnualPremiumAmount"></label>
                            <input asp-for="AnnualPremiumAmount" class="form-control form-control-lg currency" type="text">
                            <span asp-validation-for="AnnualPremiumAmount" class="text-danger"></span>
                        </div>
                    </div>
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label asp-for="CashValue"></label>
                            <input asp-for="CashValue" class="form-control form-control-lg currency" type="text">
                            <span asp-validation-for="CashValue" class="text-danger"></span>
                        </div>
                    </div>
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label asp-for="ContractFaceAmount"></label>
                            <input asp-for="ContractFaceAmount" class="form-control form-control-lg currency" type="text">
                            <span asp-validation-for="ContractFaceAmount" class="text-danger"></span>
                        </div>
                    </div>
                </div>
                <div class="row currentbalance-div">
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label asp-for="CurrentBalance"></label>
                            <input asp-for="CurrentBalance" class="form-control form-control-lg currency" type="text">
                            <span asp-validation-for="CurrentBalance" class="text-danger"></span>
                        </div>
                    </div>
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label asp-for="RateOfReturn"></label>
                            <input asp-for="RateOfReturn" class="form-control form-control-lg percentage">
                            <span asp-validation-for="RateOfReturn" class="text-danger"></span>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xl-4">
                        <div class="form-group m">
                            <label class="switch-label form-check-label" asp-for="HasAnnualIncome">
                                Annual Income?
                            </label>
                            <div>
                                <span class="switch switch-icon switch-sm switch-custom">
                                    <label>
                                        <input type="checkbox" asp-for="HasAnnualIncome">
                                        <span></span>
                                    </label>
                                </span>
                            </div>
                        </div>
                    </div>
                    <div class="col-xl-4 annualIncome-div">
                        <div class="form-group">
                            <label asp-for="AnnualIncome"></label>
                            <input asp-for="AnnualIncome" class="form-control form-control-lg currency" type="text">
                            <span asp-validation-for="AnnualIncome" class="text-danger"></span>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button class="btn btn-primary font-weight-bold px-6 py-2" id="btn_submit_adviser">
                    <i class="la la-save"></i>Save
                </button>
            </div>
        </form>
    </div>
</div>
<script id="lifeannuitycontract-template" type="text/html">
    {{if action=="add"}}
    <div class="lifeannuitycontracts-info-div" id="lifeannuitycontract-card-${lifeAnnuityContractInfo.guid}">
        {{/if}}
        <div class="card card-custom gutter-b shadow-none bg-gray-100" style="border:1px solid #000066">
            <div class="card-header" style="background: #000066">
                <div class="card-title m-0 w-75">
                    <h3 class="card-label font-size-h4 font-weight-bold text-white">
                                <span>${lifeAnnuityContractInfo.accountName}</span>
                            {{if lifeAnnuityContractInfo.nickname}}
                                <span>- ${lifeAnnuityContractInfo.nickname}</span>
                            {{/if}}
                    </h3>
                    <span class="label label-pill label-inline label-warning text-dark font-weight-bold">${lifeAnnuityContractInfo.typeString}</span>
                </div>
                <div class="card-toolbar">
                    <button class="btn btn-icon btn-sm btn-lifeannuities-edit" data-guid="${lifeAnnuityContractInfo.guid}">
                        <i class="fas fa-pencil-alt text-white" data-toggle="tooltip" data-original-title="Edit"></i>
                    </button>
                    <button class="btn btn-icon btn-sm btn-lifeannuities-delete" data-guid="${lifeAnnuityContractInfo.guid}">
                        <i class="far fa-trash-alt text-white" data-toggle="tooltip" data-original-title="Delete"></i>
                    </button>
                </div>
            </div>
            <div class="card-body">
                <div class="font-size-h6">
                    <div class="d-flex align-items-start">
                        <span class="col-md-5 text-dark font-weight-bold p-0">Type:</span>
                        <span class="col-md-7 p-0">${lifeAnnuityContractInfo.lifeAnnuityContractTypeString}</span>
                    </div>
                    <div class="d-flex align-items-start">
                        <span class="col-md-5 text-dark font-weight-bold p-0">Date of Issue:</span>
                        <span class="col-md-7 p-0">${lifeAnnuityContractInfo.issueDateFormated}</span>
                    </div>
                    <div class="d-flex align-items-start">
                        <span class="col-md-5 text-dark font-weight-bold p-0">Owner:</span>
                        <span class="col-md-7 p-0">${lifeAnnuityContractInfo.ownByWithData}</span>
                    </div>
                    <div class="d-flex align-items-start">
                        <span class="col-md-5 text-dark font-weight-bold p-0">Insured:</span>
                        <span class="col-md-7 p-0">${lifeAnnuityContractInfo.insured}</span>
                    </div>
                    <div class="d-flex align-items-start">
                        <span class="col-md-5 text-dark font-weight-bold p-0">Tax Classification:</span>
                        <span class="col-md-7 pl-0 p-0">${lifeAnnuityContractInfo.taxClassificationString}</span>
                    </div>
                    {{if lifeAnnuityContractInfo.contractType == ContractType.LIFE}}
                        <div class="d-flex align-items-end">
                            <span class="col-md-5 text-dark font-weight-bold p-0">Contract Face Amount:</span>
                            <span class="col-md-7 p-0">${currencyFormat.format(lifeAnnuityContractInfo.contractFaceAmount)}</span>
                        </div>
                        <div class="d-flex align-items-end">
                            <span class="col-md-5 text-dark font-weight-bold p-0">Annual Premium Amount:</span>
                            <span class="col-md-7 p-0">${currencyFormat.format(lifeAnnuityContractInfo.annualPremiumAmount)}</span>
                        </div>
                        {{if lifeAnnuityContractInfo.lifeAnnuityContractType != LifeAnnuityContractType.TERM}}
                        <div class="d-flex align-items-center">
                            <span class="col-md-5 text-dark font-weight-bold p-0">Cash Value:</span>
                            <span class="col-md-7 p-0">${currencyFormat.format(lifeAnnuityContractInfo.cashValue)}</span>
                        </div>
                        {{/if}}
                    {{/if}}
                    {{if lifeAnnuityContractInfo.contractType == ContractType.ANNUITY}}
                    <div class="d-flex align-items-start">
                        <span class="col-md-5 text-dark font-weight-bold p-0">Current Balance:</span>
                        <span class="col-md-7 p-0">${currencyFormat.format(lifeAnnuityContractInfo.currentBalance)}</span>
                    </div>
                    <div class="d-flex align-items-center">
                        <span class="col-md-5 text-dark font-weight-bold p-0">Rate of Return:</span>
                        <span class="col-md-7 p-0">${Number(lifeAnnuityContractInfo.rateOfReturn).toFixed(2)}%</span>
                    </div>
                    {{/if}}
                </div>
            </div>
        </div>
        {{if action=="add"}}
    </div>
    {{/if}}
</script>
<script>
    setTimeout(function () {
        KTApp.unblockPage();
        $("#LifeAnnuityContractModal").modal({ backdrop: 'static' });
        var hasIncome = $("#HasAnnualIncome").is(":checked");
        showHideAnnualIncome(hasIncome);
        var contractType = $("#ContractType").val();
        showHideContractfaceAmount(contractType)
        var type = $("#LifeAnnuityContractType").val();
        showHideCashValue(type);
    }, 2000);
    var onFormCompleteLifeAnnuityContract = function (response) {
        var id = $(this).find(":submit").attr('id');
        var btn = KTUtil.getById(id);
        var frm_id = $(this).attr('id');
        var responseObj = JSON.parse(response.responseText);
        var lifeAnnuityContractInfo = responseObj.data.lifeAnnuityContractInfo;
        if (responseObj) {
            if (responseObj.success) {
                var modalId = $('.modal:visible').attr("id");
                $(`#${modalId}`).modal('hide');
                var div = $(`#lifeannuitycontract-card-${lifeAnnuityContractInfo.guid}`)
                if (div.length > 0)
                    $(`#lifeannuitycontract-card-${lifeAnnuityContractInfo.guid}`).html($("#lifeannuitycontract-template").tmpl(responseObj.data));
                else {
                    responseObj.data.action = "add";
                    $("#lifeannuitycontracts-main-div").prepend($("#lifeannuitycontract-template").tmpl(responseObj.data));
                }
                var hasInvestmentIncome = responseObj.data.hasInvestmentIncome == true ? 1 : 0
                $("#HasInvestmentIncome").val(hasInvestmentIncome);
                toastr.clear();
                toastr.options = toastrOptions;
                toastr.success(responseObj.message);
                LoadExplicitVue();
            }
            else
                _showFormMessage(`${frm_id}`, "danger", responseObj.message, "fas fa-exclamation-triangle");
        }
        else
            _showFormMessage(`${frm_id}`, "danger", "Error Occur", "fas fa-exclamation-triangle")
        KTUtil.btnRelease(btn);
    };
</script>